Changeset 2682


Ignore:
Timestamp:
Dec 2, 2012 10:46:05 AM (7 years ago)
Author:
stefan
Message:

rerun autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Metis/trunk/configure

    r2674 r2682  
    10671067                          icl/link). Default when mentioned: mingw. Default
    10681068                          when not mentioned: disabled.
     1069
    10691070  --disable-pkg-config    disable use of pkg-config (if available)
    10701071  --enable-static[=PKGS]
     
    19031904echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    19041905  fi
     1906
     1907
     1908# Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
     1909if test "${enable_static_standardlibs+set}" = set; then
     1910  enableval="$enable_static_standardlibs"
     1911  case "$enableval" in
     1912     no | yes | auto ) ;;
     1913     *)
     1914       { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
     1915echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
     1916   { (exit 1); exit 1; }; } ;;
     1917   esac
     1918   use_static_standardlibs=$enableval
     1919else
     1920  use_static_standardlibs=no
     1921fi;
     1922
    19051923
    19061924
     
    30293047    CFLAGS="$OPT_CFLAGS"
    30303048  fi
     3049
    30313050else
    30323051  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    31973216esac
    31983217
     3218# check whether to add flags for static linking against standard libraries to LDFLAGS
     3219if test x$use_static_standardlibs != xno ; then
     3220  case $build in
     3221    *-mingw*)
     3222      static_standardlib_flag=-static
     3223      ;;
     3224    *)
     3225      static_standardlib_flag=-static-libgcc
     3226      ;;
     3227  esac
     3228  case " $LDFLAGS " in
     3229    *" $static_standardlib_flag "* ) ;;
     3230    *)
     3231    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     3232echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     3233    coin_save_LDFLAGS="$LDFLAGS"
     3234    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     3235    cat >conftest.$ac_ext <<_ACEOF
     3236/* confdefs.h.  */
     3237_ACEOF
     3238cat confdefs.h >>conftest.$ac_ext
     3239cat >>conftest.$ac_ext <<_ACEOF
     3240/* end confdefs.h.  */
     3241
     3242int
     3243main ()
     3244{
     3245int i=0;
     3246  ;
     3247  return 0;
     3248}
     3249_ACEOF
     3250rm -f conftest.$ac_objext conftest$ac_exeext
     3251if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3252  (eval $ac_link) 2>conftest.er1
     3253  ac_status=$?
     3254  grep -v '^ *+' conftest.er1 >conftest.err
     3255  rm -f conftest.er1
     3256  cat conftest.err >&5
     3257  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3258  (exit $ac_status); } &&
     3259         { ac_try='test -z "$ac_c_werror_flag"
     3260                         || test ! -s conftest.err'
     3261  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3262  (eval $ac_try) 2>&5
     3263  ac_status=$?
     3264  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3265  (exit $ac_status); }; } &&
     3266         { ac_try='test -s conftest$ac_exeext'
     3267  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3268  (eval $ac_try) 2>&5
     3269  ac_status=$?
     3270  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3271  (exit $ac_status); }; }; then
     3272  echo "$as_me:$LINENO: result: yes" >&5
     3273echo "${ECHO_T}yes" >&6
     3274else
     3275  echo "$as_me: failed program was:" >&5
     3276sed 's/^/| /' conftest.$ac_ext >&5
     3277
     3278echo "$as_me:$LINENO: result: no" >&5
     3279echo "${ECHO_T}no" >&6
     3280       LDFLAGS="$coin_save_LDFLAGS"
     3281       if test $use_static_standardlibs = yes ; then
     3282         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     3283echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     3284   { (exit 1); exit 1; }; }
     3285       fi
     3286
     3287fi
     3288rm -f conftest.err conftest.$ac_objext \
     3289      conftest$ac_exeext conftest.$ac_ext
     3290    ;;
     3291  esac
     3292fi
     3293
    31993294ac_ext=c
    32003295ac_cpp='$CPP $CPPFLAGS'
     
    33483443# unfortunately, ${libdir} expands to ${exec_prefix}/lib and ${exec_prefix} to ${prefix}...
    33493444if test "x${prefix}" = xNONE ; then
    3350   COIN_PKG_CONFIG_PATH="${ac_default_prefix}/lib/pkgconfig:${ac_default_prefix}/share/pkgconfig:${COIN_PKG_CONFIG_PATH}"
    3351 else
    3352   COIN_PKG_CONFIG_PATH="${prefix}/lib/pkgconfig:${prefix}/share/pkgconfig:${COIN_PKG_CONFIG_PATH}"
     3445  COIN_PKG_CONFIG_PATH="${ac_default_prefix}/lib64/pkgconfig:${ac_default_prefix}/lib/pkgconfig:${ac_default_prefix}/share/pkgconfig:${COIN_PKG_CONFIG_PATH}"
     3446else
     3447  COIN_PKG_CONFIG_PATH="${prefix}/lib64/pkgconfig:${prefix}/lib/pkgconfig:${prefix}/share/pkgconfig:${COIN_PKG_CONFIG_PATH}"
    33533448fi
    33543449
     
    50465141*-*-irix6*)
    50475142  # Find out which ABI we are using.
    5048   echo '#line 5048 "configure"' > conftest.$ac_ext
     5143  echo '#line 5143 "configure"' > conftest.$ac_ext
    50495144  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    50505145  (eval $ac_compile) 2>&5
     
    66456740
    66466741# Provide some information about the compiler.
    6647 echo "$as_me:6647:" \
     6742echo "$as_me:6742:" \
    66486743     "checking for Fortran 77 compiler version" >&5
    66496744ac_compiler=`set X $ac_compile; echo $2`
     
    77127807   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    77137808   -e 's:$: $lt_compiler_flag:'`
    7714    (eval echo "\"\$as_me:7714: $lt_compile\"" >&5)
     7809   (eval echo "\"\$as_me:7809: $lt_compile\"" >&5)
    77157810   (eval "$lt_compile" 2>conftest.err)
    77167811   ac_status=$?
    77177812   cat conftest.err >&5
    7718    echo "$as_me:7718: \$? = $ac_status" >&5
     7813   echo "$as_me:7813: \$? = $ac_status" >&5
    77197814   if (exit $ac_status) && test -s "$ac_outfile"; then
    77207815     # The compiler can only warn and ignore the option if not recognized
     
    79808075   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    79818076   -e 's:$: $lt_compiler_flag:'`
    7982    (eval echo "\"\$as_me:7982: $lt_compile\"" >&5)
     8077   (eval echo "\"\$as_me:8077: $lt_compile\"" >&5)
    79838078   (eval "$lt_compile" 2>conftest.err)
    79848079   ac_status=$?
    79858080   cat conftest.err >&5
    7986    echo "$as_me:7986: \$? = $ac_status" >&5
     8081   echo "$as_me:8081: \$? = $ac_status" >&5
    79878082   if (exit $ac_status) && test -s "$ac_outfile"; then
    79888083     # The compiler can only warn and ignore the option if not recognized
     
    80848179   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    80858180   -e 's:$: $lt_compiler_flag:'`
    8086    (eval echo "\"\$as_me:8086: $lt_compile\"" >&5)
     8181   (eval echo "\"\$as_me:8181: $lt_compile\"" >&5)
    80878182   (eval "$lt_compile" 2>out/conftest.err)
    80888183   ac_status=$?
    80898184   cat out/conftest.err >&5
    8090    echo "$as_me:8090: \$? = $ac_status" >&5
     8185   echo "$as_me:8185: \$? = $ac_status" >&5
    80918186   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    80928187   then
     
    1042910524  lt_status=$lt_dlunknown
    1043010525  cat > conftest.$ac_ext <<EOF
    10431 #line 10431 "configure"
     10526#line 10526 "configure"
    1043210527#include "confdefs.h"
    1043310528
     
    1052910624  lt_status=$lt_dlunknown
    1053010625  cat > conftest.$ac_ext <<EOF
    10531 #line 10531 "configure"
     10626#line 10626 "configure"
    1053210627#include "confdefs.h"
    1053310628
     
    1287312968   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1287412969   -e 's:$: $lt_compiler_flag:'`
    12875    (eval echo "\"\$as_me:12875: $lt_compile\"" >&5)
     12970   (eval echo "\"\$as_me:12970: $lt_compile\"" >&5)
    1287612971   (eval "$lt_compile" 2>conftest.err)
    1287712972   ac_status=$?
    1287812973   cat conftest.err >&5
    12879    echo "$as_me:12879: \$? = $ac_status" >&5
     12974   echo "$as_me:12974: \$? = $ac_status" >&5
    1288012975   if (exit $ac_status) && test -s "$ac_outfile"; then
    1288112976     # The compiler can only warn and ignore the option if not recognized
     
    1297713072   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1297813073   -e 's:$: $lt_compiler_flag:'`
    12979    (eval echo "\"\$as_me:12979: $lt_compile\"" >&5)
     13074   (eval echo "\"\$as_me:13074: $lt_compile\"" >&5)
    1298013075   (eval "$lt_compile" 2>out/conftest.err)
    1298113076   ac_status=$?
    1298213077   cat out/conftest.err >&5
    12983    echo "$as_me:12983: \$? = $ac_status" >&5
     13078   echo "$as_me:13078: \$? = $ac_status" >&5
    1298413079   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1298513080   then
     
    1454714642   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1454814643   -e 's:$: $lt_compiler_flag:'`
    14549    (eval echo "\"\$as_me:14549: $lt_compile\"" >&5)
     14644   (eval echo "\"\$as_me:14644: $lt_compile\"" >&5)
    1455014645   (eval "$lt_compile" 2>conftest.err)
    1455114646   ac_status=$?
    1455214647   cat conftest.err >&5
    14553    echo "$as_me:14553: \$? = $ac_status" >&5
     14648   echo "$as_me:14648: \$? = $ac_status" >&5
    1455414649   if (exit $ac_status) && test -s "$ac_outfile"; then
    1455514650     # The compiler can only warn and ignore the option if not recognized
     
    1465114746   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1465214747   -e 's:$: $lt_compiler_flag:'`
    14653    (eval echo "\"\$as_me:14653: $lt_compile\"" >&5)
     14748   (eval echo "\"\$as_me:14748: $lt_compile\"" >&5)
    1465414749   (eval "$lt_compile" 2>out/conftest.err)
    1465514750   ac_status=$?
    1465614751   cat out/conftest.err >&5
    14657    echo "$as_me:14657: \$? = $ac_status" >&5
     14752   echo "$as_me:14752: \$? = $ac_status" >&5
    1465814753   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1465914754   then
     
    1685816953   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1685916954   -e 's:$: $lt_compiler_flag:'`
    16860    (eval echo "\"\$as_me:16860: $lt_compile\"" >&5)
     16955   (eval echo "\"\$as_me:16955: $lt_compile\"" >&5)
    1686116956   (eval "$lt_compile" 2>conftest.err)
    1686216957   ac_status=$?
    1686316958   cat conftest.err >&5
    16864    echo "$as_me:16864: \$? = $ac_status" >&5
     16959   echo "$as_me:16959: \$? = $ac_status" >&5
    1686516960   if (exit $ac_status) && test -s "$ac_outfile"; then
    1686616961     # The compiler can only warn and ignore the option if not recognized
     
    1712617221   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1712717222   -e 's:$: $lt_compiler_flag:'`
    17128    (eval echo "\"\$as_me:17128: $lt_compile\"" >&5)
     17223   (eval echo "\"\$as_me:17223: $lt_compile\"" >&5)
    1712917224   (eval "$lt_compile" 2>conftest.err)
    1713017225   ac_status=$?
    1713117226   cat conftest.err >&5
    17132    echo "$as_me:17132: \$? = $ac_status" >&5
     17227   echo "$as_me:17227: \$? = $ac_status" >&5
    1713317228   if (exit $ac_status) && test -s "$ac_outfile"; then
    1713417229     # The compiler can only warn and ignore the option if not recognized
     
    1723017325   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1723117326   -e 's:$: $lt_compiler_flag:'`
    17232    (eval echo "\"\$as_me:17232: $lt_compile\"" >&5)
     17327   (eval echo "\"\$as_me:17327: $lt_compile\"" >&5)
    1723317328   (eval "$lt_compile" 2>out/conftest.err)
    1723417329   ac_status=$?
    1723517330   cat out/conftest.err >&5
    17236    echo "$as_me:17236: \$? = $ac_status" >&5
     17331   echo "$as_me:17331: \$? = $ac_status" >&5
    1723717332   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1723817333   then
Note: See TracChangeset for help on using the changeset viewer.